package com.ruoyi.model.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 交易明细记录对象 transaction_details
 * 
 * @author ruoyi
 * @date 2025-03-05
 */
public class TransactionDetails extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 交易明细编号 */
    private Long id;

    /** 明细名称 */
    @Excel(name = "明细名称")
    private String detailsName;

    /** 金额 */
    @Excel(name = "金额")
    private Long detailsPrice;

    /** 交易类型: 1为收入明细，2为支出明细 */
    @Excel(name = "交易类型: 1为收入明细，2为支出明细")
    private Long transactionType;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setDetailsName(String detailsName) 
    {
        this.detailsName = detailsName;
    }

    public String getDetailsName() 
    {
        return detailsName;
    }
    public void setDetailsPrice(Long detailsPrice) 
    {
        this.detailsPrice = detailsPrice;
    }

    public Long getDetailsPrice() 
    {
        return detailsPrice;
    }
    public void setTransactionType(Long transactionType) 
    {
        this.transactionType = transactionType;
    }

    public Long getTransactionType() 
    {
        return transactionType;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("createTime", getCreateTime())
            .append("detailsName", getDetailsName())
            .append("detailsPrice", getDetailsPrice())
            .append("transactionType", getTransactionType())
            .toString();
    }
}
